Annotations
Update Annotation
Set or remove the note on an annotation.
PATCH
/
v1
/
annotations
/
{id}
curl -X PATCH https://api.getmatter.com/public/v1/annotations/ann_m2k8v \
-H "Authorization: Bearer mat_your_token_here" \
-H "Content-Type: application/json" \
-d '{"note": "Core thesis of the essay"}'
{
"object": "annotation",
"id": "ann_m2k8v",
"item_id": "itm_r9f3a",
"text": "The way to figure out what to work on is by working.",
"note": "Core thesis of the essay",
"created_at": "2026-03-30T18:32:00Z",
"updated_at": "2026-03-30T20:45:00Z"
}
Path Parameters
string
required
The annotation ID. Example:
ann_m2k8v.Body Parameters
string
required
The note text. Pass
null to remove the note.Response
Returns the updated annotation.curl -X PATCH https://api.getmatter.com/public/v1/annotations/ann_m2k8v \
-H "Authorization: Bearer mat_your_token_here" \
-H "Content-Type: application/json" \
-d '{"note": "Core thesis of the essay"}'
{
"object": "annotation",
"id": "ann_m2k8v",
"item_id": "itm_r9f3a",
"text": "The way to figure out what to work on is by working.",
"note": "Core thesis of the essay",
"created_at": "2026-03-30T18:32:00Z",
"updated_at": "2026-03-30T20:45:00Z"
}
curl -X PATCH https://api.getmatter.com/public/v1/annotations/ann_m2k8v \
-H "Authorization: Bearer mat_your_token_here" \
-H "Content-Type: application/json" \
-d '{"note": "Core thesis of the essay"}'
{
"object": "annotation",
"id": "ann_m2k8v",
"item_id": "itm_r9f3a",
"text": "The way to figure out what to work on is by working.",
"note": "Core thesis of the essay",
"created_at": "2026-03-30T18:32:00Z",
"updated_at": "2026-03-30T20:45:00Z"
}